declare class HyperFunctionComponent {
    constructor(props: HfcProps);
    static propTypes: {
        attrs?: Record<string, any>;
        events?: Record<string, Record<string, any>>;
        slots?: Record<string, Record<string, any>>;
    };
    connected(container: HTMLDivElement): void;
    changed(type: "attr" | "event" | "slot", name: string, oldValue: any, newValue: any): void;
    disconnected(): void;
}
declare interface HfcProps {
    attrs: Record<string, any>;
    events: Record<string, (args: Record<string, any>) => any>;
    slots: Record<string, (container: HTMLElement | string, args: Record<string, any>) => void>;
}
export default function toVueComponent(HFC: typeof HyperFunctionComponent, lowercase?: boolean): import("vue").DefineComponent<Readonly<{
    [x: string]: any;
}>, () => (import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>[])[], unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    [x: string]: unknown;
} & {
    [x: string]: any;
} & {}>, {
    [x: string]: any;
}>;
export {};
